html, body {
    height: 100vh;
    overflow: hidden;

}

.container {
    color: #FFFFFF;
    font-family: Verdana, sans-serif;
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    perspective: 50px;
    width: 1900px;
    margin: 0 auto;
}


a, button, i {
    color: #FFFFFF;
    cursor: pointer;
    text-decoration: none;


}


.nav_bar {
    background-color: #1D2124;
    display: flex;
    height: 70px;
    justify-content: space-between;
    line-height: 70px;

}

.search {
    background-color: #171A1C;
    text-align: center;
    width: 68px;

}

.main_menu {
    align-items: center;
    display: flex;
    font-size: 15px;
    font-weight: bold;
    justify-content: space-between;
    list-style-type: none;
    width: 701px;
}




.logo {
    background-image: url("../images/search-bg.png");
    background-repeat: no-repeat;
    cursor: pointer;
    font-size: 22px;
    text-align: right;
    width: 176px;
    word-spacing: 25px;

}

.logo::before {
    background-color: rgba(255, 255, 255, 0.09);
    content: "";
    height: 70px;
    left: 0;
    position: absolute;
    width: 68px;
}

.parallax_section{
    overflow: hidden;
    position: relative;
}


.parallax_section::before{
    content:'';
    height: 100vh;
    left:-25px;
    position: absolute;
    transform: translateZ(-100px);
    width: 100%;
    z-index: -1;

}


.top_header {
    align-items: center;
    display: flex;
    flex-direction: column;
    font-size: 25px;
    height: 370px;
    justify-content: center;
    width: 100%;
}

.top_header::before{
    background: url("../images/html_css_homework_homework6_img_header-bg.jpeg") bottom;
}

.top_header h3{
    font-weight: normal;
}



.subscribe_btn, .best_articles_btn {
    border-radius: 5px;
    font-size: 18px;
    height: 53px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 15px;
    width: 168px;


}

.subscribe_btn {
    background-color: #89CA62;
    border: 1px solid #89CA62;


}

.best_articles_btn {
    background-color: #14B9D5;
    border: 1px solid #14B9D5;

}

.section_1 {
    align-items: center;
    background-color: #F2F2F2;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 100%;

}

.section_1 h2 {
    color: #18B4CF;
    font-size: 27px;
    font-weight: bold;
    line-height: 86px;
    text-align: center;
    width: 100%;
}

.main_part_container {
    display: flex;
    flex-flow: column wrap;
    height: 900px;
    width: 1200px;


}


.main_part_container .post {
    background-color: #FFFFFF;
    margin-bottom: 30px;
    padding-bottom: 10px;
    text-align: center;
    width: 370px;
}

.post a {
    color: #353A3D;
    font-size: 17px;
    font-weight: bold;
    line-height: 40px;
}

.post_1 {
    order: 1;
}

.post_2 {
    order: 3;
}

.post_3 {
    order: 5;
}

.post_4 {
    order: 2;
}

.post_5 {
    order: 4;
}

.post_6 {
    order: 6;
}


.section_2{
    align-content: center;
    align-items: center;

    display: grid;
    height: 588px;
    grid-template: 10% 12.5% 13%/ 12.5% 10% 12.4% 9%;
    justify-items: center;
    justify-content: center;
    grid-template-areas: "item1 item1 item1 item1"
                         "item2 item2 item2 item2"
                          "item3 item4 item5 item6"
}

.section_2::before{
    background: url("../images/html_css_homework_homework6_img_parallax-bg.jpeg") center;
}


.item1 {
    font-size: 32px;
    grid-area: item1;

}

.item2 {
    grid-area: item2;
}

.item3 {
    grid-area: item3;
}

.item4 {
    grid-area: item4;
}

.item5 {
    grid-area: item5;
}

.item6 {
    grid-area: item6;
}




.section_3 {
    background-color: #FFFFFF;
    height: 2000px;
    display: grid;
    grid-template: 27px 190px 27px 1470px/ 100%;
    justify-items: center;
    align-content: space-evenly;
    padding-bottom: 15px;

}

.top_rated, .hot_news {
    color: #18B4CF;
    font-size: 27px;
}

.top_rated {
    align-self: center;
}

.picture_posts {
    display: inline-grid;
    grid-template-columns: repeat(7, 1fr);
}

.hot_news {
    align-self: center;

}


.last_articles {
    width: 1200px;
    display: grid;
    grid-template: 259px 418px 416px 259px/ 1fr 3fr 3fr 1fr;
    align-content: space-between;

}

.last_articles a {
    color: #353A3D;
    font-size: 18px;
    font-weight: bold;
    line-height: 30px;
}

.last_articles div {
    background-color: #F9F7F7;
    font-size: 13px;
    color: #5B6469;
    line-height: 20px;
}

.picture_post_1 {
    width: 856px;
    grid-area: 1/1/2/4;
    display: grid;
    grid-template: 60px 199px / 483px  1fr 20px;
}

.picture_post_1 .img_link, .picture_post_8 .img_link {
    grid-area: 1/1/3/3;
}

.picture_post_1 p, .picture_post_8 p {
    grid-area: 2/2/3/3;
    text-align: right;
    width:322px;
    align-self: center;
    justify-self: right;
}

.picture_post_1 .text_link, .picture_post_8 .text_link{
    grid-area: 1/2/2/3;
    text-align: right;
    align-self: end;
}

.picture_post_3 .text_link, .picture_post_4 .text_link, .picture_post_5 .text_link, .picture_post_6 .text_link{
    margin-right: 20px;
}



.picture_post_2 {
    grid-area: 1/4/2/5;
    text-align: center;

}

.picture_post_3 {
    grid-area: 2/1/3/3;
    width: 554px;
    text-align: right;
}

.picture_post_4 {
    grid-area: 2/3/3/5;
    width: 554px;
    justify-self: right;
    text-align: right;

}

.picture_post_4 p, .picture_post_5 p, .picture_post_6 p, .picture_post_3 p{
    width: 505px;
    margin-left: auto;
    margin-right: auto;
}




.picture_post_5 {
    grid-area: 3/1/4/3;
    width: 554px;
    text-align: right;
}

.picture_post_6 {
    grid-area: 3/3/4/5;
    width: 554px;
    justify-self: right;
    text-align: right;
}

.picture_post_7 {
    grid-area: 4/1/5/2;
    text-align: center;

}

.picture_post_8 {
    grid-area: 4/2/5/5;
    width: 856px;
    justify-self: right;
    display: grid;
    grid-template: 60px 199px / 483px  1fr 20px;
}

.footer{
    background-color: #1d2124;
    display: grid;
    justify-content: center;
    align-items: center;
    grid-template: 80px/ 900px 300px;
    font-size: 13px;
}

.footer_logo{
    cursor: pointer;
    justify-self: right;
    width: 105px;
    background-image: url("../images/Vector Smart Object copy 3.png");
    background-repeat: no-repeat;
    background-position: left;
    text-align: right;

}











